%{!?dist: %define dist .el4}
Summary: Determines which system packages need to be updated via RHN.
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Url: http://rhn.redhat.com
Name: up2date
Source1: version
Version: %(echo `awk '{ print $1 }' %{SOURCE1}`)
Release: %(echo `awk '{ print $2 }' %{SOURCE1}`)%{?dist}.1
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 2.2.2
#Requires: rpm >= 4.1-1.05
Requires: rpm >= 4.2.3-24_nonptl
Requires: libxml2-python
Requires: rpm-python 
Requires: gnupg
Requires: sh-utils
Obsoletes: rhn_register

Requires: rhnlib >= 2.1.4
Prereq: /sbin/chkconfig
Requires: mkinitrd >= 3.2.2
Requires: python-optik
Requires: rhpl >= 0.81-2
Requires: perl
Requires: newt
Obsoletes: up2date-update

# for uuidgen, we need:
Requires: e2fsprogs

BuildRequires: desktop-file-utils
BuildRequires: python >= 2.2.2-7
BuildRequires: python-devel
BuildRequires: gettext
BuildRequires: intltool


%define pythonver python%(%{__python} -c "import sys; print sys.version[:3]")

# only need mkinitrd on x86 and only grubby on 7.2 or higher
%ifnarch i386 ia64 
%define needsmkinitrd  0
%else
%define needsmkinitrd 1
%endif

%description
The Red Hat Update Agent that automatically queries the Red Hat
Network servers and determines which packages need to be updated on
your machine.

%package gnome
Summary: A GUI interface for Update Agent.
Group: System Environment/Base
Url: http://rhn.redhat.com
Requires: %{name} = %{version}
Requires: usermode >= 1.36
Requires: pam >= 0.72
Requires: pygtk2 pygtk2-libglade gnome-python2 gnome-python2-canvas 
Requires: usermode-gtk
Obsoletes: rhn_register-gnome

Patch1: rollbacks.patch


%description gnome
The up2date-gnome package contains a GNOME interface for the Red Hat
Network Update Agent.

%prep
%setup -q 
%patch1 -p0

%build
# put the packages in the right lib for lib64
make -f Makefile.up2date LIBDIR=%{_libdir} PYTHON_VER=%{pythonver}

%install
# only needed for 6.x
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

# we need to install the sources file for RHEL3, see bz #162071 
%if "%dist" == ".el3"
make -f  Makefile.up2date install VERSION=%{version}-%{release} PREFIX=$RPM_BUILD_ROOT MANPATH=%{_mandir} LIBDIR=%{_libdir} PYTHON_VER=%{pythonver} RHEL3=1
%else
make -f Makefile.up2date install VERSION=%{version}-%{release} PREFIX=$RPM_BUILD_ROOT MANPATH=%{_mandir} LIBDIR=%{_libdir} PYTHON_VER=%{pythonver}
%endif

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/rhn
mkdir -p $RPM_BUILD_ROOT/var/spool/up2date
mkdir -p $RPM_BUILD_ROOT/var/lib/up2date

# install the rhnsd init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 rhnsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rhnsd

# install config file
install -m 644 rhnsd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/rhn/rhnsd

# these are the same man page...
ln -s %{_mandir}/man8/up2date.8 $RPM_BUILD_ROOT/%{_mandir}/man8/up2date-nox.8

%find_lang %{name}

desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-rhn-up2date.desktop

# Compile .pyc again #69205
set -x
find $RPM_BUILD_ROOT%{_datadir}/rhn -name '*.pyc' |xargs rm
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT%{_datadir}/rhn', ddir='%{_datadir}/rhn')"

%post
# if old configuration exists, copy it into place
if [ -f /etc/up2date.conf ]; then
    cp /etc/up2date.conf /etc/sysconfig/rhn/up2date
    if [ -x /sbin/restorecon ]; then 
        /sbin/restorecon /etc/sysconfig/rhn/up2date
    fi
fi

/sbin/chkconfig --add rhnsd

UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/up2date-uuid
if [ -x /sbin/restorecon ]; then
    /sbin/restorecon /etc/sysconfig/rhn/up2date-uuid
fi

%preun
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/rhnsd stop >/dev/null 2>&1
    /sbin/chkconfig --del rhnsd
fi


%postun
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/rhnsd condrestart >/dev/null 2>&1
fi

%triggerpostun -- up2date <= 2.0.4
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/rhnsd condrestart >/dev/null 2>&1
fi

%clean
rm -fr $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
# some info about mirrors
%doc ChangeLog mirrors.txt fedora-core-1 updates-released
%dir /etc/sysconfig/rhn/
%dir /etc/sysconfig/rhn/clientCaps.d
%dir /etc/rpm/
%config(noreplace) %verify(not md5 size mtime mode) /etc/sysconfig/rhn/up2date
%config(noreplace) /etc/logrotate.d/up2date

# in rhel4/fc this file moved to redhat-releasesa
%if "%dist" == ".el3"
%config(noreplace) /etc/sysconfig/rhn/sources
%endif

%config /etc/security/console.apps/up2date
%config /etc/security/console.apps/up2date-nox
%config /etc/security/console.apps/up2date-config
%config /etc/security/console.apps/rhn_register
%config /etc/pam.d/up2date
%config /etc/pam.d/up2date-config
%config /etc/pam.d/up2date-nox
%config /etc/pam.d/rhn_register

#modules
%{_libdir}/%{pythonver}/site-packages/dmimodule.so


# dirs
%dir /usr/share/rhn
%dir /usr/share/rhn/up2date_client
%dir /usr/share/rhn/up2date_client/repoBackends

#files
/usr/bin/up2date
/usr/bin/rhn_register
/usr/sbin/up2date
/usr/sbin/rhn_register
/usr/sbin/rhnreg_ks
/usr/bin/up2date-config
/usr/sbin/up2date-config
/usr/bin/up2date-nox
/usr/sbin/up2date-nox
/usr/bin/go-rhn.sh
/usr/share/rhn/up2date_client/__init__.*
/usr/share/rhn/up2date_client/configUtils.*
/usr/share/rhn/up2date_client/config.*
/usr/share/rhn/up2date_client/hardware.*
/usr/share/rhn/up2date_client/up2date.*
/usr/share/rhn/up2date_client/wrapper.*
/usr/share/rhn/up2date_client/iutil.*
/usr/share/rhn/up2date_client/lilo.*
/usr/share/rhn/up2date_client/grubcfg.*
/usr/share/rhn/up2date_client/lilocfg.*
/usr/share/rhn/up2date_client/elilocfg.*
/usr/share/rhn/up2date_client/checkbootloader.*
/usr/share/rhn/up2date_client/bootloadercfg.*
/usr/share/rhn/up2date_client/text_config.*
/usr/share/rhn/up2date_client/rhnreg.*
/usr/share/rhn/up2date_client/rpmSource.*
/usr/share/rhn/up2date_client/getMethod.*
/usr/share/rhn/up2date_client/rhnDefines.*
/usr/share/rhn/up2date_client/up2dateUtils.*
/usr/share/rhn/up2date_client/wrapperUtils.*
/usr/share/rhn/up2date_client/up2dateLog.*
/usr/share/rhn/up2date_client/up2dateMessages.*
/usr/share/rhn/up2date_client/up2dateErrors.*
/usr/share/rhn/up2date_client/up2dateAuth.*
/usr/share/rhn/up2date_client/up2dateComps.*
/usr/share/rhn/up2date_client/rpcServer.*
/usr/share/rhn/up2date_client/rpmUtils.*
/usr/share/rhn/up2date_client/rhnPackageInfo.*
/usr/share/rhn/up2date_client/rhnreg_constants.*
/usr/share/rhn/up2date_client/packageList.*
/usr/share/rhn/up2date_client/headers.*
/usr/share/rhn/up2date_client/depSolver.*
/usr/share/rhn/up2date_client/up2dateBatch.*
/usr/share/rhn/up2date_client/gpgUtils.*
/usr/share/rhn/up2date_client/rhnChannel.*
/usr/share/rhn/up2date_client/rhnErrata.*
/usr/share/rhn/up2date_client/rollbacks.*
/usr/share/rhn/up2date_client/rhnHardware.*
/usr/share/rhn/up2date_client/transaction.*
/usr/share/rhn/up2date_client/tui.*
/usr/share/rhn/up2date_client/rhn_fcntl.* 
/usr/share/rhn/up2date_client/rhnLockfile.*
/usr/share/rhn/up2date_client/distrotype.*
/usr/share/rhn/up2date_client/clientCaps.*
/usr/share/rhn/up2date_client/capabilities.*
/usr/share/rhn/up2date_client/sourcesConfig.*
/usr/share/rhn/up2date_client/rpmSourceUtils.*
/usr/share/rhn/up2date_client/urlMirrors.*
/usr/share/rhn/up2date_client/rhnregGui.*
/usr/share/rhn/up2date_client/messageWindow.*
/usr/share/rhn/up2date_client/repoDirector.*
/usr/share/rhn/up2date_client/timeoutsocket.*
/usr/share/rhn/up2date_client/rh_register.glade
/usr/share/rhn/up2date_client/repoBackends/__init__*
/usr/share/rhn/up2date_client/repoBackends/aptRepo.*
/usr/share/rhn/up2date_client/repoBackends/dirRepo.*
/usr/share/rhn/up2date_client/repoBackends/genericRepo.*
/usr/share/rhn/up2date_client/repoBackends/up2dateRepo.*
/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.*
/usr/share/rhn/up2date_client/repoBackends/urlUtils.*
/usr/share/rhn/up2date_client/repoBackends/yumRepo.*
/usr/share/rhn/up2date_client/repoBackends/cmdlineRepo.*
/usr/share/rhn/up2date_client/repoBackends/importmetadata.*
/usr/share/rhn/up2date_client/repoBackends/mdErrors.*
/usr/share/rhn/up2date_client/repoBackends/mdUtils.*
/usr/share/rhn/up2date_client/repoBackends/packageObject.*
/usr/share/rhn/up2date_client/repoBackends/packageSack.*
/usr/share/rhn/up2date_client/repoBackends/repoMDObject.*
/usr/share/rhn/up2date_client/repoBackends/rpmmdRepo.*
/usr/share/rhn/up2date_client/repoBackends/repomdRepo.*
/usr/share/rhn/up2date_client/repoBackends/yumBaseRepo.*
/usr/share/rhn/__init__.*

# actions for rhn_check to run
/usr/share/rhn/actions/__init__.*
/usr/share/rhn/actions/hardware.*
/usr/share/rhn/actions/errata.*
/usr/share/rhn/actions/packages.*
/usr/share/rhn/actions/systemid.*
/usr/share/rhn/actions/rollback.*
/usr/share/rhn/actions/reboot.*
/usr/share/rhn/actions/rhnsd.*
/usr/share/rhn/actions/up2date_config.*


# firstboot is smart enough now to skip these modules
# if the modules say to
/usr/share/firstboot/modules/rhn_activate_gui.*
/usr/share/firstboot/modules/rhn_newaccount_gui.*
/usr/share/firstboot/modules/rhn_shared.*
/usr/share/firstboot/modules/rhn_login_gui.*
/usr/share/firstboot/modules/rhn_optout_gui.*

%{_mandir}/man8/*


#public keys and certificates
/usr/share/rhn/RHNS-CA-CERT
/usr/share/rhn/*RPM-GPG-KEY*

%config(noreplace) /etc/sysconfig/rhn/up2date-keyring.gpg
%config(noreplace) %verify(not md5 size mtime mode) /etc/sysconfig/rhn/up2date-uuid
%config /etc/sysconfig/rhn/rhnsd
%config /etc/rpm/macros.up2date
/usr/sbin/rhnsd
/usr/sbin/rhn_check
/etc/rc.d/init.d/rhnsd
%dir /var/spool/up2date
%dir /var/lib/up2date

%files gnome
%defattr(-,root,root)
#desktop files
%{_datadir}/applications/* 

/usr/share/rhn/up2date_client/gui.*
/usr/share/rhn/up2date_client/configdlg.*
/usr/share/rhn/up2date_client/progress.*
/usr/share/rhn/up2date_client/checklist.*
/usr/share/rhn/up2date_client/*png
/usr/share/pixmaps/*png


%changelog
* Tue Sep  1 2009 Pradeep Kilambi <pkilambi@redhat.com>
- Resolves: #520122

* Thu Apr  9 2009 Pradeep Kilambi <pkilambi@redhat.com> 4.8.1-33
- Resolves: #464772

* Wed Apr  8 2009 Pradeep Kilambi <pkilambi@redhat.com> 4.8.1-32
- Resolves: #484083

* Mon Apr  6 2009 Pradeep Kilambi <pkilambi@redhat.com> 4.8.1-30
- Resolves: #464772

* Tue Mar 31 2009 Pradeep Kilambi <pkilambi@redhat.com> 4.8.1-28
- Resolves: #464772

* Wed Mar 18 2009 Pradeep Kilambi <pkilambi@redhat.com> 4.8.1-27
- Resolves: #457629  - more changes to support errata for older 
            sats and hosted

* Tue Mar 17 2009 Pradeep Kilambi <pkilambi@redhat.com> 4.8.1-26
- Resolves: #468006

* Mon Mar 16 2009 Pradeep Kilambi <pkilambi@redhat.com> 4.8.1-23
- Resolves: #457629 #468006

* Fri Feb 27 2009 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-19
- Resolves:  #487753 up2date now requires new redirect supported rhnlib

* Thu Feb 12 2009 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-17
- Resolves:  #484390

* Wed Feb  4 2009 Pradeep Kilambi <pkilambi@redhat.com> -
- Resolves:  #484083

* Mon Jan 26 2009 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-13
- Resolves:  #469034 #214203

* Thu Jan  8 2009 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-10
- Resolves: #445382 #468006

* Tue Jan  6 2009 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-8
- Resolves: #457631 #134078 #447874 #452855 #458208 #460684 
- Resolves: #431717 #435013 #452827 #452877 #456064 #299971 
- Resolves: #457629 #464772 #452836 #452833 #468006 #468742

* Mon Jan  5 2009 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-7
- Resolves: #452855

* Mon Dec 22 2008 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-5
- Resolves:  #468006

* Mon Oct  6 2008 Pradeep Kilambi <pkilambi@redhat.com> - 4.8.1-2
- Resolves:  #464772

* Tue Jun 24 2008 Pradeep Kilambi <pkilambi@redhat.com> - 4.7.1-17
- Resolves: #452089 

* Tue Jun 17 2008 Pradeep Kilambi <pkilambi@redhat.com> - 4.7.1-7
- Resolves: #451194 #451617 #451177 #450253

* Tue Jun 10 2008 Pradeep Kilambi <pkilambi@redhat.com> - 4.7.1-4
- Resolves: #170583 #253308 #449743 #450082 #450529

* Tue May 20 2008 Pradeep Kilambi <pkilambi@redhat.com> - 4.7.1-3
- Resolves: #447407

* Fri Apr 04 2008 Pradeep Kilambi <pkilambi@redhat.com> - 4.7.1-1
- Resolves: #333711 #390781 #427970 #430151 #430153 	
- Resolves: #438334 #385161 #428997 #429921 #356251
- Resolves: #401321 #414541 #428390 #432527 #434168 	
- Resolves: #253308 #299861 #299971 #300351 
- Resolves: #170583 #211894

* Thu Nov 29 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.6.2-8
- Resolves: #404871 fixing up2date breakage on failover setup

* Wed Sep 05 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.6.2-7
- Resolves: #238934 removing log tracebacks

* Wed Aug 29 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.6.2-6
- Resolves: #243451 

* Fri Aug 24 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.6.2-5
- Resolves: #222391 fixing MemoryError for large rpms

* Wed Aug 21 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.6.2-4
- Resolves: #208442 fixing the whitespace issue in config

* Wed Aug 8 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.6.2-3
- Resolves:  #249877 minor fixes on eus for tui

* Wed Aug 3 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.6.2-1
- Resolves: #246721 fix for -channel option to list specified chs
- Resolves: #244298 fix rhnreg_ks works with config mgmt on activation keys
- Resolves: #238934 fix up2date to not fail repomd with type errors
- Resolves: #235748 fix up2date not throw unboundLocal Error on Obsoletes
- Resolves: #204109 fix up2date fails with package already installed
- Resolves: #232704 fix rhn_register yello sticky message on MouseOver
- Resolves: #246566 fix up2date man page's --installall syntax
- Resolves: #243451 fix akey pkg install listing same pkg multiple times
- Resolves: #232958 fix up2date to log message on obsoletes failure
- Resolves: #222391 fix up2data to work on large rpms without timeout
- Resolves: #210625 revert previous fix for custom channels 
- Resolves: #208442 fix up2date Server Failover Doesn't Work
- Resolves: #205726 fix up2date expat error
- Resolves: #233271 fix rhn_register warn on trying to create new user
  with existing login
- Resolves: #236619 fix up2date --installall to find pkgs from multiple custom channels
- Resolves: #249876 add EUS support to rhn_register GUI
- Resolves: #249877 add EUS support to rhn_Register TUI
- Resolves: #249876 add EUS support to rhnreg_ks 

* Thu Apr 09 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.5.5-5
- Resolves: #234550 fixes restorecon error when installing up2date

* Thu Mar 29 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.5.5-3
- Resolves: #234542 fix for globs to work correctly
- Resolves: #233678 fix rhn_register TUI to work on para-virt guest
- Resolves: #233491 fix rhn_register GUI to work on para-virt guest 

* Thu Mar 23 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.5.5-2
- Resolves: #229847 fixes the version

* Thu Feb 02 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.5.5-1
- Resolves: #223229 fixes the error logging

* Thu Feb 01 2007 James Bowes <jbowes@redhat.com> - 4.5.4-2
- Resolves: #201020

* Thu Jan 31 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.5.4-1
- Fix for #223229 patch for rhn_check
- Fix for #224035,224039

* Thu Jan 05 2007 Pradeep Kilambi <pkilambi@redhat.com> - 4.5.3-1
- Fix for #210211 rhn_check should check and avoid multiple instances
- Fix for #173448,218636,193563 rhn_check dep solver
- Fix for #201092 --arch fixes

* Thu Dec 07 2006 James Bowes <jbowes@redhat.com> - 4.5.2-1
- Resolves: #158787, #179478

* Thu Dec 07 2006 James Bowes <jbowes@redhat.com> - 4.5.1-2
- Add dist tag.

* Tue Nov 21 2006 James Bowes <jbowes@redhat.com> - 4.5.1-1
- Fix for #208344. The tui now detects if the system has entitlements.
- Fix for #149177. If hardware or package profile sending fails, we warn the
  user but continue on.
- Probable fix for #196493. Applied patch from Kyle Powell, which fixes dmi
  reading on all machines I was able to test on.

* Wed Nov 08 2006 James Bowes <jbowes@redhat.com> - 4.5.0-1
- Fixes for #172009, #168250, #210625, #178484, #160195, #185554
- Fixes for #201020, #170066, #163483

* Thu Jul 27 2006 James Bowes <jbowes@redhat.com> 4.4.69-23
- Fix for bugzilla #200250

* Tue Jun 27 2006 James Bowes <jbowes@redhat.com> 4.4.69-22
- Restore SELinux contexts for the config files after munging them for #179898

* Wed Jun 21 2006 Bret McMillan <bretm@redhat.com> 4.4.69-18
- tweaked fix for (#178498, #176123), --installall now takes a channel label as a parameter,
  and appropriate use of --channel will limit the scope

* Mon May 08 2006 James Bowes <jbowes@redhat.com> 4.4.69-6
- bump required version of rhnlib for pkg/iso redirect.

* Tue May 02 2006 James Bowes <jbowes@redhat.com> 4.4.69-3
- fix for #87837, inaccurate error message when missing '-f' for kernel updates
- fix for #125049, misleading usage message: "Please specify either -l, -u, ...
- fix for #126528, up2date +get source fails if no source available
- fix for #168312, up2date config file is not ignored in rpm -V
- fix for #171057, CRM# 696030 repomd error after up2date
- fix for #171643, repomd error after up2date
- fix for #s 179896, 179898  rpm verify fails due to config files in .spec not marked ...

* Mon Apr 24 2006 Bret McMillan <bretm@redhat.com> 4.4.69-1
- fix for #178498, #176123 -- make --channel limit the channel universes for various operations
- fix for #162106, RHN 'sync packages to system' installing i386 glibc on i686
- fix for #175593, up2date --whatprovides doesn't handle compat arch provides

* Wed Feb 01 2006 Adrian Likins <alikins@redhat.com> 4.4.6800000000000eleventybillion
- gratuitous version rev to test up2date of up2date

* Tue Jan 31 2006 Bret McMillan <bretm@redhat.com> 4.4.67-4
- fix release tag

* Fri Jan 27 2006 Adrian Likins <alikins@redhat.com> 4.4.67-3
- fix for #179110 - up2date fails to update xerces-j
- more fixed for #176195 "up2date-nox --configure changes current value of numeric attribute to Yes/No if 1/0 is selected"

* Fri Jan 27 2006 Bret McMillan <bretm@redhat.com> 4.4.65-3
- fix for #176195 "up2date-nox --configure changes current value of numeric attribute to Yes/No if 1/0 is selected"

* Thu Jan 19 2006 Adrian Likins <alikins@redhat.com> 4.4.63-4
- rest of fix for #169880 up2date --arch updates primary arch if package is out of date instead of arch specified.
- even better fix for #178261 "Invalid function call attempted" when installing a RHN proxy

* Thu Jan 19 2006 Bret McMillan <bretm@redhat.com> 4.4.60-4
- rebuild with fixes for:
- fix #169293 -- up2date unable to download very large rpms
- fix #177784 -- up2date gives error if select-all is checked
- fix #177786 -- up2date unselects all pakcages if select-all is checked and user selects 'back'

* Thu Jan 12 2006 Adrian Likins <alikins@redhat.com> 4.4.58
- fix for #165157 - firstboot 'Read our Privacy Statement' shows a blank text box

* Fri Jan 6 2006 Adrian Likins <alikins@redhat.com> 4.4.56-4.1
- rebuild for #176182 (new gcc)

* Thu Dec 8 2005 Adrian Likins <alikins@redhat.com> 4.4.55
- add bug fix for  #175321  rhnreg_ks cannot import name capabilities -- circular import

* Wed Nov 15 2005 Adrian Likins <alikins@redhat.com> 4.4.54
- revert orig fix for #165024 - "invalid function call" error on proxy installs
- add new bug fix for #165204
- revert "fix" for #169882, #159955 - up2date man page does not describe --undo option.
- add --unfo to man page fixing #169882, #159955


* Wed Nov 09 2005 Adrian Likins <alikins@redhat.com> 4.4.52
- fix #165024 - "invalid function call" error on proxy installs
- fix #169881, #167732 -  'up2date --configure' always saves changes if useNetwork is false on startup
 

* Mon Oct 10 2005 Adrian Likins <alikins@redhat.com> 4.4.51
- fix #169882, #159955 - up2date man page does not describe --undo option.
  (remove deprecated undo option)
- fix #170065, #166034 - up2date "forward" button disabled if packages selected via spacebar.
- fix #157087, #170055 - up2date --configure fails when failover serverURL is configured.

* Thu Sep 15 2005 Adrian Likins <alikins@redhat.com> 4.4.50-4
- new up2date.pot, synced up
- fix uncommitted changes that were causing string 
  translations not to show up
- more translations updates for #160608

* Mon Sep 12 2005 Adrian Likins <alikins@redhat.com> 4.4.45
- fix for #160602 (updated russian translations)


* Fri Aug 26 2005 Adrian Likins <alikins@redhat.com> 4.4.44
- fix for #166868 - fatal python error when  installing package

* Tue Aug 23 2005 Adrian Likins <alikins@redhat.com> 4.4.43
- more fixes for #144800

* Tue Aug 23 2005 Adrian Likins <alikins@redhat.com> 4.4.42
- more fixes for #159858/#157070

* Mon Aug 15 2005 Adrian Likins <alikins@redhat.com> 4.4.41
- fix #164660

* Thu Aug 11 2005 Adrian Likins <alikins@redhat.com> 4.4.40
- attempt "fix" for #165636 (require new rpm versions)

* Wed Aug 10 2005 Adrian Likins <alikins@redhat.com> 4.4.39
- more fix for #157070
- require newer rhnlib for #165360

* Thu Aug 4 2005 Adrian Likins <alikins@redhat.com> 4.4.38
- fix desktop files rpmdiff complained about

* Thu Aug 4 2005 Adrian Likins <alikins@redhat.com> 4.4.37
- fix specfile to work on ppc

* Wed Aug 3 2005 Adrian Likins <alikins@redhat.com> 4.4.36
- fix for #162701

* Wed Aug 3 2005 Adrian Likins <alikins@redhat.com> 4.4.35
- fix for #160602 (updated ru.po)

* Tue Aug 2 2005 Adrian Likins <alikins@redhat.com> 4.4.34
- fix for #144800

* Thu Jul 28 2005 Adrian Likins <alikins@redhat.com> 4.4.33
- fix for #149472

* Wed Jul 27 2005 Adrian Likins <alikins@redhat.com> 4.4.32
- fix for #144800
- fix for #137942

* Tue Jul 26 2005 Adrian Likins <alikins@redhat.com> 4.4.31
- fix for #155583

* Tue Jul 12 2005 Adrian Likins <alikins@redhat.com> 4.4.30
- more fixes for sources on RHEL-3
- have to include "3" as a release as well

* Mon Jul 11 2005 Adrian Likins <alikins@redhat.com> 4.4.28
- fix for issues with updating the package list after
  actions correctly #125790

* Thu Jul 7 2005 Jason Connor <jconnor@redhat.com> 4.4.27.2
- hotfix for bug 148952

* Tue Jun 7 2005 Adrian Likins <alikins@redhat.com> 4.4.25
- delay/avoid doing repomd if it's not in use

* Mon Jun 6 2005 Adrian Likins <alikins@redhat.com> 4.4.24
- dont require the old extended_packages cap

* Thu May 19 2005 Adrian Likins <alikins@redhat.com> 4.4.23
- change the way the version substitution works to pass pkg checker

* Thu May 19 2005 Adrian Likins <alikins@redhat.com> 4.4.22
- fix #158256 - up2date errors if yum isnt installed, but doesn't need to

* Thu May 19 2005 Adrian Likins <alikins@redhat.com> 4.4.20
- fix #154814 -  Selecting all packages in the GUI only selects first package

* Tue May 17 2005 Adrian Likins <alikins@redhat.com> 4.4.19
- fix #155583 - don't allow kernel-smp.x86_64 to be installed on ia32e
- fix #157070 - make yum/apt repos support proxies
- fix #148952 - patch from Jack Neely <jjneely@pams.ncsu.edu)

* Mon May 16 2005 Adrian Likins <alikins@redhat.com> 4.4.19
- fix #150418 – rhel-4 client machine capabilities not recognized sometimes
- fix #145554 – rhn_register fails if proxy username begins at '0'
- fix #154137 up2date does not always send the arch

* Mon May 9 2005 Adrian Likins <alikins@redhat.com> 4.4.18
- fix problem with missing import

* Wed Apr 27 2005 Adrian Likins <alikins@redhat.com> 4.4.17
- fix some bugs in the way repomdRepo creates the package lists

* Tue Apr 26 2005 Adrian Likins <alikins@redhat.com> 4.4.16
- support repomd repos (and use the yum config if it exists)
  bugzilla #135121

* Tue Apr 19 2005 Adrian Likins <alikins@redhat.com> 4.4.15
- fix #149444 up2date --dry-run --upgrade-to-release changes registered base channel
- fix #151328 (tracback when registering with *'s in password)
- added some general uncaught exception catching
- truncate rpm changelog (see up2date.spec.changelog)
- update translations

* Thu Apr 14 2005 Jason Connor <jconnor@redhat.com> 4.4.14
- fix #135121 - uncommented rpmmd registration, fixed api
- fix #149281 - added check for failed read

* Fri Apr 8 2005 Adrian Likins <alikins@redhat.com> 4.4.13
- update translations

* Thu Apr 7 2005 Adrian Likins <alikins@redhat.com> 4.4.12
- update translations

* Thu Mar 3 2005 Adrian Likins <alikins@redhat.com> 4.4.10
- fix #150210
- revert change for package list refresh for this
  release

* Tue Mar 1 2005 Adrian Likins <alikins@redhat.com> 4.4.9
- fix #149947

* Tue Feb 15 2005 Adrian Likins <alikins@redhat.com> 4.4.8
- fix #139537

* Fri Jan 14 2005 Adrian Likins <alikins@redhat.com> 4.4.7
- fix #136497
- fix #142750, #142589 (less deprecation warnings) 

* Mon Jan 10 2005 Adrian Likins <alikins@redhat.com> 4.4.6
- fix #144704

* Wed Dec 15 2004 Adrian Likins <alikins@redhat.com> 4.4.5
- fix #142406 (again)

* Wed Dec 15 2004 Adrian Likins <alikins@redhat.com> 4.4.4
- fix #142332
- fix #129909

* Tue Dec 14 2004 Adrian Likins <alikins@redhat.com> 4.4.3
- fix #142406

* Mon Dec 6 2004 Adrian Likins <alikins@redhat.com> 4.4.2
- fix #139495 (updated translations)

* Fri Dec 3 2004 Adrian Likins <alikins@redhat.com> 4.4.1
- fix #141820 (add kernel-devel to list of packages to
  intall not update)

* Fri Dec 3 2004 Adrian Likins <alikins@redhat.com> 4.4.0
- rev to 4.4.0
